> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an app

Updates the editable fields of an app you own (name, description, logo URL,
contact details, OAuth config, capabilities). Editing an app that was already
approved may require re-submission for review.


## OpenAPI

````yaml patch /api/ecommerce-app/{id}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/ecommerce-app/{id}:
    patch:
      tags:
        - Custom Ecommerce Apps · Management
      summary: Update an app
      operationId: EcommerceAppController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEcommerceAppDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateEcommerceAppDto:
      type: object
      properties:
        name:
          type: string
          minLength: 2
        description:
          type: string
          minLength: 1
        logo_url:
          type: string
          format: uri
        website_url:
          type: string
          format: uri
          nullable: true
        developer_name:
          type: string
          minLength: 1
        contact_email:
          type: string
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
        contact_phone:
          type: string
          minLength: 5
        oauth:
          type: object
          properties:
            authorize_url:
              type: string
              format: uri
            token_url:
              type: string
              format: uri
            client_id:
              type: string
              minLength: 1
            client_secret:
              type: string
              minLength: 1
            scopes:
              default: []
              type: array
              items:
                type: string
            account_info_url:
              type: string
              format: uri
        capabilities:
          type: object
          properties:
            inbound_events:
              default: []
              type: array
              items:
                type: string
                enum:
                  - order
                  - checkout
                  - fulfillment
                  - product
            outbound:
              default: {}
              type: object
              properties:
                products_list:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                  required:
                    - url
                order_get:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                  required:
                    - url
                stock_get:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                  required:
                    - url
                checkout_create:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                  required:
                    - url
                customer_get:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                  required:
                    - url
      required:
        - oauth
        - capabilities

````